Kerbal Space Program - Bug #2998

Enter key does not work in the craft description text box in the VAB and the SPH
09/10/2014 07:11 PM - keithbam

Status: Closed Start date: 09/10/2014
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.24 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

The Enter key does not produce a carriage return in the craft description text box in the VAB or in the SPH. Instead it produces a
dash character.

Steps to reproduce.

1. Start a clean un-modded KSP

2. Enter the VAB or the SPH

3. Click on the craft name field to open the dropdown craft description text box

4. Enter any text followed by an Enter keypress (either the main one or the numeric keypad)
5. A dash is produced rather than the proper carriage return / line feed event

The Enter keys previously produced a carriage return correctly here in all Linux 64 bit versions of KSP from v0.18 to v0.23.5
inclusive.

History

#1 - 11/20/2015 12:07 PM - sal_vager
- Status changed from New to Resolved

- % Done changed from 0 to 100

This issue is resolved in build 1028.

#2 - 07/17/2016 09:18 AM - TriggerAu

- Status changed from Resolved to Closed
